Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.common
Interface CompletionListener

public interface CompletionListener

When a result is set into a CompletionRequest it invokes all the CompletionListeners for that request. If the result was not a throwable, then OnCompletion is called, otherwise onException is called. Either way, the request is passed in to provide access to the result or any other state associated with the request.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `onCompletion(CompletionRequest request, Object result)` This method is invoked when a non-throwable result is set into the request on which we are listening.
`void` | `onException(CompletionRequest request, Throwable reason)` This method is invoked when a throwable result is set into the request on which we are listening.

Method Detail

### onCompletion

    public void onCompletion(CompletionRequest request,
                             Object result)

  This method is invoked when a non-throwable result is set into the request on which we are listening. This method must not throw an exception.

  Parameters:
    `request` - the request that successfully completed

### onException

    public void onException(CompletionRequest request,
                            Throwable reason)

  This method is invoked when a throwable result is set into the request on which we are listening. This method must not throw an exception

  Parameters:
    `request` - the request that has thrown an exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD